Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1684525 - [RFE] Metrics for memory usage of AWS instances needs to be collected from CloudWatch new Agent
Summary: [RFE] Metrics for memory usage of AWS instances needs to be collected from Cl...
Keywords:
Status: POST
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: C&U Capacity and Utilization
Version: 5.9.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.11.0
Assignee: Alexander Zagaynov
QA Contact: Matouš Mojžíš
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks: 1695628 1695655
TreeView+ depends on / blocked
 
Reported: 2019-03-01 12:56 UTC by Rahul Chincholkar
Modified: 2019-04-04 03:14 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1695628 1695655 (view as bug list)
Environment:
Last Closed:
Category: Bug
Cloudforms Team: AWS
Target Upstream Version:


Attachments (Terms of Use)

Description Rahul Chincholkar 2019-03-01 12:56:42 UTC
Description of problem:

* Background of the issue -

We need to use perl script provided by AWS, Documented in KCS article [1] to get memory usage metrics of AWS instances, it is only supported on Linux Instances.

From the bugzilla (https://bugzilla.redhat.com/show_bug.cgi?id=1552288) we know that the VMDB collects mem_usage_absolute_average from AWS CloudWatch which then used to show memory graph in C&U data.

Memory graph is missing in C&U UI for AWS instances, Engineering is working on bugzilla (https://bugzilla.redhat.com/show_bug.cgi?id=1676761) to make it available.

* The issue -

There is a new CloudWatch Agent [2] introduced and recommended by AWS which supports metrics collection for Linux and Windows instances.

Memory Metric are captured with this new CloudWatch agent shows different name (mem_used_percent) and stored under "CWAgent". CFME does not capture this metric in VMDB.
Looks like the code is missing for this metric, here is the list [3] of metrics collected by new CloudWatch agent

[1] https://access.redhat.com/solutions/3948761
[2] https://docs.aws.amazon.com/AmazonCloudWatch/latest/monitoring/Install-CloudWatch-Agent.html
[3] https://docs.aws.amazon.com/AmazonCloudWatch/latest/monitoring/metrics-collected-by-CloudWatch-agent.html

Version-Release number of selected component (if applicable):
5.9.4.7

How reproducible:
Always


Expected results:

It's requested by the customer to fully adopt the product in production.

Comment 3 Bronagh Sorota 2019-03-01 15:53:43 UTC
Assigning to PM for prioritization.

Comment 4 Sudhir Mallamprabhakara 2019-03-20 19:41:19 UTC
Adding RFE keyword to the BZ.

Comment 9 Alexander Zagaynov 2019-03-29 15:39:24 UTC
PR: https://github.com/ManageIQ/manageiq-providers-amazon/pull/522

Comment 10 Alexander Zagaynov 2019-04-02 08:59:25 UTC
PR merged


Note You need to log in before you can comment on or make changes to this bug.